## visad
Class ColorAlphaControl

    java.lang.Object
      visad.Control
          visad.BaseColorControl
              visad.ColorAlphaControl

All Implemented Interfaces:
  Cloneable, Serializable

public class ColorAlphaControl
extends BaseColorControl

ColorAlphaControl is the VisAD class for controlling 4-component Color DisplayRealType-s (e.g., RGBA).

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.BaseColorControl
`ALPHA, BLUE, DEFAULT_NUMBER_OF_COLORS, GREEN, RED`

Fields inherited from class visad.Control
`display, displayRenderer`

Constructor Summary
`ColorAlphaControl(DisplayImpl d)` construct a ColorAlphaControl for given DisplayImpl

Methods inherited from class visad.BaseColorControl
`clone, equals, getFunction, getNumberOfColors, getNumberOfComponents, getSaveString, getTable, initGreyWedge, initHSV, initTableGreyWedge, initTableHSV, initTableVis5D, initVis5D, lookupRange, lookupValues, setFunction, setRange, setSaveString, setTable, syncControl, toString`

Methods inherited from class visad.Control
`addControlListener, animation_string, changeControl, checkTicks, getDisplay, getDisplayRenderer, getIndex, getInstanceNumber, incTick, nullControl, peekTicks, removeControlListener, resetTicks, setIndex, setInstanceNumber, setTicks, subCheckTicks, subPeekTicks, subResetTicks, subSetTicks`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ColorAlphaControl

    public ColorAlphaControl(DisplayImpl d)

  construct a ColorAlphaControl for given DisplayImpl

Parameters:
  `d` - - DisplayImpl